Package com.sun.jna.platform.win32

## Class WinDef.LONGLONGByReference

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.ptr.ByReference
    - - com.sun.jna.platform.win32.WinDef.LONGLONGByReference

All Implemented Interfaces:
  `NativeMapped`

Enclosing interface:
  WinDef

    public static class WinDef.LONGLONGByReference
    extends ByReference

The Class LONGLONGByReference.

### Constructor Summary

Constructors
`LONGLONGByReference()` Instantiates a new LONGLONG by reference.
`LONGLONGByReference​(WinDef.LONGLONG value)` Instantiates a new LONGLONG by reference.

### Method Summary

All Methods Instance Methods Concrete Methods
`WinDef.LONGLONG` `getValue()` Gets the value.
`void` `setValue​(WinDef.LONGLONG value)` Sets the value.

### Methods inherited from class com.sun.jna.ptr.ByReference

`toString`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LONGLONGByReference

    public LONGLONGByReference()

Instantiates a new LONGLONG by reference.

#### LONGLONGByReference

    public LONGLONGByReference​(WinDef.LONGLONG value)

Instantiates a new LONGLONG by reference.

Parameters:
  `value` - the value

### Method Detail

#### setValue

    public void setValue​(WinDef.LONGLONG value)

Sets the value.

Parameters:
  `value` - the new value

#### getValue

    public WinDef.LONGLONG getValue()

Gets the value.

Returns:
  the value